Subject: bug#9814: closed (Re: bug#9814: 23.3; unguarded setq of default-directory in ido.el)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 Jul 2013 04:47:04 +0000

Your bug report

#9814: 23.3; unguarded setq of default-directory in ido.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9814: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9814
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9814: 23.3; unguarded setq of default-directory in ido.el
From: Leo Liu <[email-masked]>
To: Dave Abrahams <[email-masked]>
Cc: Chong Yidong <[email-masked]>, [email-masked]
Date: Tue, 09 Jul 2013 12:46:26 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2011-11-01 03:24 +0800, Dave Abrahams wrote:
> I've made the changes... I guess the best report you can expect, unless
> I get myself into trouble at startup again, is that it has no effect.
> Will you check back with me in a week?

I believe this bug might have been fixed already. It might have
something to do with ido-may-cache-directory trying tramp hosts.

Leo

Subject: 23.3; unguarded setq of default-directory in ido.el
From: Dave Abrahams <[email-masked]>
To: [email-masked]
Date: Thu, 20 Oct 2011 14:53:48 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm sorry that I don't have a reproducer at the moment.  I was having
some failures during startup that would leave my Emacs unable to change
buffers with `M-x switch-to-buffer', which was remapped to
ido-switch-buffer, because it would attempt to make a Tramp connection
to some nonexistent host.  I could get around this by `M-: (setq
default-directory "~")', so I went hunting in ido.el for mentions of
default-directory and found 2 instances of (setq default-directory...)
that were not apparently surrounded by a let.  This seems like a likely
cause of the problem.

In GNU Emacs 23.3.1 (x86_64-apple-darwin10.8.0, Carbon Version 1.6.0 AppKit 1038.36)
 of 2011-09-12 on pluto.luannocracy.com
Windowing system distributor `Apple Inc.', version 10.6.8
configured using `configure  '--with-mac' '--enable-mac-app' '--prefix=/usr/local/stow/emacs-23.3' 'CC=gcc -arch x86_64''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  highlight-changes-visible-mode: t
  diff-auto-refine-mode: t
  recentf-mode: t
  pretty-control-l-mode: t
  Info-breadcrumbs-in-mode-line-mode: t
  workgroups-mode: t
  shell-dirtrack-mode: t
  me-minor-mode: t
  show-paren-mode: t
  ido-everywhere: t
  global-auto-revert-mode: t
  display-time-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mac-mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-n C-n C-p C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n